To make any request to Map Management API, you must include the following in your headers and URLs:
Project Identifier: The project number or ID of your Google Cloud project in the
X-Goog-User-Projectheader. This value determines the project used for billing and quota calculations.Authorization Header: An OAuth 2.0 token in the
Authorizationheader. For more information, see Use OAuth.Resource Name: A Google Cloud project number or ID in the request URL, along with the specific resource ID (such as
mapConfigIdorstyleConfigId).
Example: Create a MapConfig
The following example shows how to create a MapConfig object using curl. When you send this request, you receive the newly created object in response if the MapConfig creation was successfully completed.
curl -X POST \
-H 'X-Goog-User-Project: YOUR_PROJECT_NUMBER' \
-H "Authorization: Bearer $(gcloud auth application-default print-access-token)" \
https://mapmanagement.googleapis.com/v2beta/projects/YOUR_PROJECT_NUMBER/mapConfigs -d '{
"displayName": "My New York Map",
"description": "A Map for New York City",
"mapType" : "VECTOR",
"mapFeatures": {
"simpleFeatures": ["FLATTEN_BUILDINGS", "ICONIC_ICONS"],
"poiBoostLevel": 1
}
}'
If the request is successful, you receive the newly created Map Config object:
{ "name": "projects/YOUR_PROJECT_NUMBER/mapConfigs/YOUR_MAP_CONFIG_ID", "displayName": "Testing No Type", "description": "Testing", "mapId": "YOUR_MAP_CONFIG_ID", "mapFeatures": { "simpleFeatures": [ "FLATTEN_BUILDINGS", "ICONIC_ICONS" ], "poiBoostLevel": 1 }, "createTime": "2026-02-07T20:04:11.467243390Z", "updateTime": "2026-02-07T20:04:11.467243542Z", "mapType": "VECTOR" }
Example: Delete a MapConfig
The following example shows how to delete a MapConfig object using curl.
When you send this request, you receive an empty JSON object {} in
response if the MapConfig was found and deleted successfully.
curl -X DELETE \ -H 'X-Goog-User-Project: YOUR_PROJECT_NUMBER' \ -H "Authorization: Bearer $(gcloud auth application-default print-access-token)" \ https://mapmanagement.googleapis.com/v2beta/projects/YOUR_PROJECT_NUMBER/mapConfigs/YOUR_MAP_CONFIG_ID
If the request is successful, you receive an empty response object:
{}Get the project number
To get your Google Cloud project's number or ID:
- Go to the project's Overview page in the Cloud console.
- The Project number and Project ID appear in the Project info area.
Get an OAuth token
For development or testing, you can use the gcloud CLI to generate a temporary
OAuth token:
gcloud auth application-default print-access-token
You can include the gcloud command directly in the Authorization header of a
curl request as shown in the examples earlier. Alternatively, set an environment
variable:
export TOKEN=$(gcloud auth application-default print-access-token) curl -X GET \ -H 'X-Goog-User-Project: YOUR_PROJECT_NUMBER' \ -H "Authorization: Bearer $TOKEN" \ https://mapmanagement.googleapis.com/v2beta/projects/YOUR_PROJECT_NUMBER/mapConfigs